import { Component } from 'react';
export declare class SelectableSearch extends Component<{
    onChange?: any;
    options?: any;
    searchValue?: any;
    defaultValue?: any;
    className?: any;
}> {
    static defaultProps: {
        defaultValue: string;
    };
    state: {
        searchValue: null;
    };
    constructor(props: any);
    componentDidMount(): void;
    onSearchChange: (value: any) => void;
    passUpMatches: (matches: any, searchValue: any) => void;
    render(): JSX.Element;
}
